# vim: set sw=4 ts=4 et nu:
#
# spec file for package perl-B-Hooks-OP-PPAddr
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           perl-B-Hooks-OP-PPAddr
Version:        0.03
Release:        12.1
Summary:        Hook into opcode execution
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/B-Hooks-OP-PPAddr-%{version}.tar.gz
Source99:       %{name}-rpmlintrc
Url:            http://search.cpan.org/dist/B-Hooks-OP-PPAddr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::Depends) >= 0.302
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(parent)
Requires:       perl(ExtUtils::Depends)
Requires:       perl(parent)

%description
This module provides a c api for XS modules to hook into the execution of
perl opcodes.

%prep
%setup -q -n "B-Hooks-OP-PPAddr-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorarch}/B
%dir %{perl_vendorarch}/B/Hooks
%dir %{perl_vendorarch}/B/Hooks/OP
%{perl_vendorarch}/B/Hooks/OP/PPAddr.pm
%{perl_vendorarch}/B/Hooks/OP/PPAddr
%dir %{perl_vendorarch}/auto/B
%dir %{perl_vendorarch}/auto/B/Hooks
%dir %{perl_vendorarch}/auto/B/Hooks/OP
%{perl_vendorarch}/auto/B/Hooks/OP/PPAddr
%doc %{perl_man3dir}/B::Hooks::OP::PPAddr.%{perl_man3ext}%{ext_man}

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Nov  4 2010 pascal.bleser@opensuse.org
- initial package (0.03)
